| Home · All Classes · All Namespaces · Modules · Functions · Files

# MediaStreamHandlerCodec Struct Reference
[Structure types]

`#include <TelepathyQt4/Types>`

List of all members.

## Public Attributes

- uint codecID
- QString name
- uint mediaType
- uint clockRate
- uint numberOfChannels
- StringStringMap parameters

## Detailed Description

Structure type generated from the specification.

Information about a codec supported by a client or a peer's client.

## Member Data Documentation

uint codecID

The codec's payload identifier, as per RFC 3551 (static or dynamic)

QString name

The codec's name

uint mediaType

Type of stream this codec supports

uint clockRate

Sampling frequency in Hertz

uint numberOfChannels

Number of supported channels

StringStringMap parameters

Codec-specific optional parameters